<p>You must have signed up for a Scribd Platform API Account for this plugin to work. If 
you haven't signed up, please go to the <a href="http://www.scribd.com/platform/start" target="_blank">Scribd Platform website</a> and register.</p>

<div class="field">
<label for="iPaper_scribdPublisherId">Scribd Publisher ID (required):</label>

<div class="inputs"><input type="text" class="textinput" name="iPaper_scribdPublisherId" value="<?php echo $iPaper->scribdPublisherId; ?>" size="30" />
	<p class="explanation">Please enter the publisher ID given to you when you 
	registered for a Scribd Platform (API) account.</p>	
</div>
</div>

<div class="field">
<label for="iPaper_publicParameter">Make your documents public on Scribd?</label>
<div class="inputs"><input type="checkbox" name="iPaper_publicParameter"<?php if ($iPaper->publicParameter == '1') {echo ' checked="true"';} ?> /></div>
</div>
<div class="field">
<label for="iPaper_modeParameter">Select the default iPage view mode:</label>

<div class="inputs"><select name="iPaper_modeParameter">
<?php foreach (iPaper::$availableModeParameters as $mode): ?>
<option value="<?php echo $mode ?>"<?php if ($mode == $iPaper->modeParameter) {echo ' selected="true"';} ?>><?php echo $mode ?></option>
<?php endforeach; ?>
</select>
<p class="explanation">Can be &#8220;list&#8221; (the default), 'book' (two-page spread), 
'slideshow' (the default for presentations), or 'tile'.</p>
</div>
</div>

<div class="field">
<label for="iPaper_supportedFormats">Select the formats you want iPaper to display:</label>
<div class="inputs">
<?php foreach(iPaper::$availableSupportedFormats as $supportedFormat => $supportedFormatDescription): ?>
<span title="<?php echo htmlentities($supportedFormatDescription); ?>" style="display:block;float:left;width:60px;text-align:right;margin-bottom:10px;"><?php echo $supportedFormat; ?><input type="checkbox" name="iPaper_supportedFormats[<?php echo $supportedFormat; ?>]"<?php if (is_array($iPaper->supportedFormats) && array_key_exists($supportedFormat, $iPaper->supportedFormats)) {echo ' checked="true"';} ?> /></span>
<?php endforeach; ?>
</div>
</div>
<div class="field">
<label for="iPaper_height">The height of the iPaper, in pixels:</label>
<div class="inputs"><input type="text" class="textinput" name="iPaper_height" value="<?php echo $iPaper->height; ?>" size="5" />
	<p class="explanation">Leave this blank if you want iPaper to size itself for 
	the webpage it's embedded in.</p>	
</div>
</div>
<div class="field">
<label for="iPaper_width">The width of the iPaper, in pixels:</label>
<div class="inputs">
	<input type="text" class="textinput" name="iPaper_width" value="<?php echo $iPaper->width; ?>" size="5" />
	<p class="explanation">Leave this blank if you want iPaper to size itself for 
	the webpage it's embedded in.</p>	
</div>
</div>

<div class="field">
<label for="iPaper_showAdmin">Show the iPaper document viewer on your admin theme?</label>
<div class="inputs"><input type="checkbox" name="iPaper_showAdmin"<?php if ($iPaper->showAdmin == '1') {echo ' checked="true"';} ?> /></div>
</div>

<div class="field">
<label for="iPaper_showPublic">Show the iPaper document viewer on your public theme?</label>
<div class="inputs"><input type="checkbox" name="iPaper_showPublic"<?php if ($iPaper->showPublic == '1') {echo ' checked="true"';} ?> /></div>
</div>
