<?php
define('IPAPER_PLUGIN_VERSION', '0.2');

require_once 'iPaper.php';

add_plugin_hook('install', 'iPaper_install');
add_plugin_hook('uninstall', 'iPaper_uninstall');
add_plugin_hook('config_form', 'iPaper_configForm');
add_plugin_hook('config', 'iPaper_config');
add_plugin_hook('admin_theme_header', 'iPaper_javascript');
add_plugin_hook('public_theme_header', 'iPaper_javascript');
add_plugin_hook('admin_append_to_items_show_primary', 'iPaper_embedAdmin');
add_plugin_hook('public_append_to_items_show', 'iPaper_embedPublic');

function iPaper_install()
{
	set_option('ipaper_plugin_version', IPAPER_PLUGIN_VERSION);
}

function iPaper_uninstall()
{
	delete_option('ipaper_plugin_version');
}

function iPaper_configForm()
{
    $iPaper = new iPaper;
    $iPaper->setScribdPublisherId();
    $iPaper->setPublicParameter();
    $iPaper->setModeParameter();
    $iPaper->setSupportedFormats();
    $iPaper->setHeight();
    $iPaper->setWidth();
    $iPaper->setShowAdmin();
    $iPaper->setShowPublic();
	include 'config_form.php';
}

function iPaper_config($post)
{
    set_option('iPaper_scribdPublisherId', $post['iPaper_scribdPublisherId']);
    
    if (isset($post['iPaper_publicParameter'])) {
        set_option('iPaper_publicParameter', '1');
    } else {
        set_option('iPaper_publicParameter', '0');
    }
    
    set_option('iPaper_modeParameter', $post['iPaper_modeParameter']);
    
    if (is_array($post['iPaper_supportedFormats'])) {
        set_option('iPaper_supportedFormats', serialize($post['iPaper_supportedFormats']));
    } else {
        set_option('iPaper_supportedFormats', serialize(array()));
    }
    
    set_option('iPaper_height', $post['iPaper_height']);
    
    set_option('iPaper_width', $post['iPaper_width']);

    if (isset($post['iPaper_showAdmin'])) {
        set_option('iPaper_showAdmin', '1');
    } else {
        set_option('iPaper_showAdmin', '0');
    }
    
    if (isset($post['iPaper_showPublic'])) {
        set_option('iPaper_showPublic', '1');
    } else {
        set_option('iPaper_showPublic', '0');
    }
}

function iPaper_javascript()
{
?>
<script type="text/javascript" src="http://www.scribd.com/javascripts/view.js"></script> 
<?php
}

function iPaper_embedAdmin()
{
    $item = get_current_item();
    if (get_option('iPaper_showAdmin')) {
        iPaper_embed($item);
    }
}

function iPaper_embedPublic()
{
    $item = get_current_item();
    if (get_option('iPaper_showPublic')) {
        iPaper_embed($item);
    }
}

function iPaper_embed($item)
{
    try {
        $iPaper = new iPaper;
        
        // Set the data.
        $iPaper->setScribdPublisherId();
        $iPaper->setPublicParameter();
        $iPaper->setModeParameter();
        $iPaper->setSupportedFormats();
        $iPaper->setHeight();
        $iPaper->setWidth();
        $iPaper->setItem($item);
        
        // Validate the data.
        $iPaper->validateEmbed();
        
        // Embed iPaper.
        $iPaper->embed();
    
    // Display a hidden error message on the page if there is an error.
    } catch (Exception $e) {
?>
<!--
Warning: The iPaper plugin must be configured properly before documents are 
displayed in iPaper. Please go to the iPaper plugin configuration page and enter 
the necessary information.

Error message: "<?php echo $e->getMessage(); ?>"
-->
<?php
    }
}
?>
